
Ruby - Bug #15898

RoR server segmentation fault [arm-linux-gnueabihf] Rpi3

06/04/2019 12:43 PM - johhnry (Joseph Henry)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.3p222 (2016-11-21)

[arm-linux-gnueabihf]

Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6:

UNKNOWN

Description

Hi everyone,

Configuration

Ruby on Rails (v 5.2.3)

Raspberry Pi 3 model B

Raspbian (4.14.98-v7+ #1200 SMP Tue Feb 12 20:27:48 GMT 2019 armv7l GNU/Linux)

Ruby (ruby 2.3.3p222 (2016-11-21) [arm-linux-gnueabihf])

Problem

I just created a project with "rails new..." and I want to run the server with :

$ rails server

 The error console log file is attached to this message.

This has something to do with "rb-inotify".

Thanks

Related issues:

Is duplicate of Ruby - Bug #14467: a bug encounter when try to create a contr... Rejected

History

#1 - 06/04/2019 01:19 PM - mame (Yusuke Endoh)

- Status changed from Open to Rejected

Ruby 2.3 has ended.

https://www.ruby-lang.org/en/news/2019/03/31/support-of-ruby-2-3-has-ended/

I don't know the particular issue, but the following article (written in Japanese) says that Ruby 2.5 works without the issue.

https://teratail.com/questions/162543

You may want to use the following script to install Ruby 2.6 on the Raspberry Pi.

https://gist.github.com/blacktm/8302741

Good luck.

#2 - 06/04/2019 01:20 PM - mame (Yusuke Endoh)

- Is duplicate of Bug #14467: a bug encounter when try to create a controller using Ruby on Rails (on Pi3)  added

Files

rails_server_output.txt 145 KB 06/04/2019 johhnry (Joseph Henry)
